﻿@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

h1:focus {
    outline: none;
}

a, .btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

/*Personnal*/
input[type=number]::-webkit-inner-spin-button, input[type=number]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type=number] {
    -moz-appearance: textfield;
}

.vh-98 {
    height: 98vh !important;
}

.dataTables_paginate {
    display: flex !important;
    justify-content: center !important;
}

.Alinear {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.table {
    width: 100% !important;
}

/*Rows*/
.row {
    --bs-gutter-x: 0.2rem !important;
}

/*Quitar cabera de los tabs*/

.rz-tabview-nav {
    display: none !important;
}

.rz-tabview.rz-tabview-top > .rz-tabview-panels {
    border-top: 0 !important;
}

.rz-notification{
    top : 0px !important;
}

/*Quitar las fechas de los campos number*/
.rz-spinner.rz-state-disabled .rz-spinner-button {
    display: none !important;
}

.rz-spinner .rz-spinner-button {
    display: none !important;
}


.rz-spinner.rz-state-disabled, .rz-calendar.rz-state-disabled .rz-inputtext, .rz-listbox.rz-state-disabled, .rz-autocomplete-input:disabled, .rz-state-disabled.rz-autocomplete, .rz-state-disabled.rz-multiselect, .rz-state-disabled.rz-dropdown, .rz-radiobutton-box.rz-state-disabled, .rz-chkbox-box.rz-state-disabled, .rz-colorpicker:disabled, .rz-lookup-search input:disabled, .rz-spinner:disabled, .rz-calendar .rz-inputtext:disabled, .rz-multiselect:disabled, .rz-dropdown:disabled, .mask:disabled, .rz-textarea:disabled, .rz-textbox:disabled {
    color: black !important;
}


    .rz-spinner.rz-state-disabled .rz-inputtext, .rz-calendar.rz-state-disabled .rz-inputtext .rz-inputtext, .rz-listbox.rz-state-disabled .rz-inputtext, .rz-autocomplete-input:disabled .rz-inputtext, .rz-state-disabled.rz-autocomplete .rz-inputtext, .rz-state-disabled.rz-multiselect .rz-inputtext, .rz-state-disabled.rz-dropdown .rz-inputtext, .rz-radiobutton-box.rz-state-disabled .rz-inputtext, .rz-chkbox-box.rz-state-disabled .rz-inputtext, .rz-colorpicker:disabled .rz-inputtext, .rz-lookup-search input:disabled .rz-inputtext, .rz-spinner:disabled .rz-inputtext, .rz-calendar .rz-inputtext:disabled .rz-inputtext, .rz-multiselect:disabled .rz-inputtext, .rz-dropdown:disabled .rz-inputtext, .mask:disabled .rz-inputtext, .rz-textarea:disabled .rz-inputtext, .rz-textbox:disabled .rz-inputtext {
        color: black !important;
    }

ul.rz-profile-menu {
    background-color: #4340d200 !important;
}

.header {
    background: linear-gradient(45deg, rgba(19,43,232,1) 0%, rgba(71,141,255,1) 40%, rgba(75,192,255,1) 80%) !important;
}


.footer {
    background: linear-gradient(300deg, rgba(19,43,232,1) 0%, rgba(71,141,255,1) 40%, rgba(75,192,255,1) 80%) !important;
    color: #ffffff !important;
    border-top: var(--rz-footer-border) !important;
}

.rz-text-body1 {
    color: #000000 !important;
}

.border {
    background-color: white;
}

/*Page load spinner*/
.fondospinner {
    position: fixed;
    background: linear-gradient(180deg, rgba(255, 255, 255, 0.5) 0%, rgba(255, 255, 255) 100%);
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: 90000;
}

.logoimg {
    width: 68px;
    height: 68px;
}

.logospinner {
    position: fixed;
    background-color: rgba(255,255,255,0);
    top: 50%;
    left: 50%;
    margin-top: -35px;
    margin-left: -35px;
    z-index: 90001;
}

.spinner1 {
    position: fixed;
    width: 100px;
    height: 100px;
    top: 50%;
    left: 50%;
    margin-top: -50px;
    margin-left: -50px;
    border-radius: 50px;
    -webkit-animation: 2s rotate360 linear infinite reverse;
    -moz-animation: 2s rotate360 linear infinite reverse;
    -o-animation: 2s rotate360 linear infinite reverse;
    animation: 2s rotate360 linear infinite reverse;
    z-index: 90000;
}

    .spinner1:after {
        content: '';
        display: block;
        position: relative;
        top: -47px;
        left: 36px;
        width: 26px;
        height: 26px;
        border-radius: 13px;
        background-color: rgba(19,45,232,1);
        z-index: 90002;
    }

    .spinner1:before {
        content: '';
        display: block;
        position: relative;
        top: 38px;
        left: -21px;
        width: 20px;
        height: 20px;
        border-radius: 10px;
        background-color: rgba(19,45,232,1);
        z-index: 90002;
    }

.spinner2 {
    position: fixed;
    width: 100px;
    height: 100px;
    top: 50%;
    left: 50%;
    margin-top: -50px;
    margin-left: -50px;
    -webkit-animation: 2s rotate360 linear infinite reverse;
    -moz-animation: 2s rotate360 linear infinite reverse;
    -o-animation: 2s rotate360 linear infinite reverse;
    animation: 2s rotate360 linear infinite reverse;
    z-index: 90000;
}

    .spinner2:after {
        content: '';
        display: block;
        position: relative;
        top: 96px;
        left: 43px;
        width: 14px;
        height: 14px;
        border-radius: 7px;
        background-color: rgba(19,45,232,1);
        z-index: 90002;
    }

    .spinner2:before {
        content: '';
        display: block;
        position: relative;
        top: 46px;
        left: 105px;
        width: 8px;
        height: 8px;
        border-radius: 4px;
        background-color: rgba(19,45,232,1);
        z-index: 90002;
    }

.spinner3 {
    position: fixed;
    width: 100px;
    height: 100px;
    top: 50%;
    left: 50%;
    margin-top: -50px;
    margin-left: -50px;
    -webkit-animation: 2s rotate360 linear infinite reverse;
    -moz-animation: 2s rotate360 linear infinite reverse;
    -o-animation: 2s rotate360 linear infinite reverse;
    animation: 2s rotate360 linear infinite reverse;
    z-index: 90000;
}

    .spinner3:after {
        content: '';
        display: block;
        position: relative;
        top: -37px;
        left: 5px;
        width: 24px;
        height: 24px;
        border-radius: 12px;
        background-color: rgba(20,235,255,1);
        z-index: 90002;
    }

    .spinner3:before {
        content: '';
        display: block;
        position: relative;
        top: 10px;
        left: -15px;
        width: 22px;
        height: 22px;
        border-radius: 11px;
        background-color: rgba(19,157,232,1);
        z-index: 90002;
    }

.spinner4 {
    position: fixed;
    width: 100px;
    height: 100px;
    top: 50%;
    left: 50%;
    margin-top: -50px;
    margin-left: -50px;
    -webkit-animation: 2s rotate360 linear infinite reverse;
    -moz-animation: 2s rotate360 linear infinite reverse;
    -o-animation: 2s rotate360 linear infinite reverse;
    animation: 2s rotate360 linear infinite reverse;
    z-index: 90000;
}

    .spinner4:after {
        content: '';
        display: block;
        position: relative;
        top: 56px;
        left: -12px;
        width: 18px;
        height: 18px;
        border-radius: 9px;
        background-color: rgba(20,235,255,1);
        z-index: 90002;
    }

    .spinner4:before {
        content: '';
        display: block;
        position: relative;
        top: 94px;
        left: 11px;
        width: 16px;
        height: 16px;
        border-radius: 8px;
        background-color: rgba(19,157,232,1);
        z-index: 90002;
    }

.spinner5 {
    position: fixed;
    width: 100px;
    height: 100px;
    top: 50%;
    left: 50%;
    margin-top: -50px;
    margin-left: -50px;
    -webkit-animation: 2s rotate360 linear infinite reverse;
    -moz-animation: 2s rotate360 linear infinite reverse;
    -o-animation: 2s rotate360 linear infinite reverse;
    animation: 2s rotate360 linear infinite reverse;
    z-index: 90000;
}

    .spinner5:after {
        content: '';
        display: block;
        position: relative;
        top: 86px;
        left: 74px;
        width: 12px;
        height: 12px;
        border-radius: 6px;
        background-color: rgba(20,235,255,1);
        z-index: 90002;
    }

    .spinner5:before {
        content: '';
        display: block;
        position: relative;
        top: 76px;
        left: 96px;
        width: 10px;
        height: 10px;
        border-radius: 5px;
        background-color: rgba(19,157,232,1);
        z-index: 90002;
    }

.spinner6 {
    position: fixed;
    width: 100px;
    height: 100px;
    top: 50%;
    left: 50%;
    margin-top: -50px;
    margin-left: -50px;
    -webkit-animation: 2s rotate360 linear infinite reverse;
    -moz-animation: 2s rotate360 linear infinite reverse;
    -o-animation: 2s rotate360 linear infinite reverse;
    animation: 2s rotate360 linear infinite reverse;
    z-index: 90000;
}

    .spinner6:after {
        content: '';
        display: block;
        position: relative;
        top: 15px;
        left: 100px;
        width: 6px;
        height: 6px;
        border-radius: 3px;
        background-color: rgba(20,235,255,1);
        z-index: 90002;
    }

    .spinner6:before {
        content: '';
        display: block;
        position: relative;
        top: -4px;
        left: 80px;
        width: 4px;
        height: 4px;
        border-radius: 2px;
        background-color: rgba(19,157,232,1);
        z-index: 90002;
    }

.cerrarspinner {
    position: fixed;
    top: 20px;
    right: 20px;
    width: 20px;
    height: 20px;
    border-radius: 10px;
    -ms-transform: rotate(45deg);
    -webkit-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    -o-transform: rotate(45deg);
    transform: rotate(45deg);
    z-index: 90000;
    cursor: pointer;
}

    .cerrarspinner:after {
        content: '';
        display: block;
        position: relative;
        top: -13px;
        width: 20px;
        height: 6px;
        border-radius: 3px;
        background-color: red;
        z-index: 90003;
    }

    .cerrarspinner:before {
        content: '';
        display: block;
        position: relative;
        left: 7px;
        width: 6px;
        height: 20px;
        border-radius: 3px;
        background-color: red;
        z-index: 90004;
    }

@keyframes rotate360 {
    from {
        transform: rotate(360deg);
    }

    to {
        transform: rotate(0deg);
    }
}

@-webkit-keyframes rotate360 {
    from {
        -webkit-transform: rotate(360deg);
    }

    to {
        -webkit-transform: rotate(0deg);
    }
}

@-moz-keyframes rotate360 {
    from {
        -moz-transform: rotate(360deg);
    }

    to {
        -moz-transform: rotate(0deg);
    }
}

@-o-keyframes rotate360 {
    from {
        -o-transform: rotate(360deg);
    }

    to {
        -o-transform: rotate(0deg);
    }
}

@-ms-keyframes rotate360 {
    from {
        -ms-transform: rotate(360deg);
    }

    to {
        -ms-transform: rotate(0deg);
            
    }
}

.rz-numeric .rz-numeric-button {
    visibility: collapse;
}